## haproxy 2.6.8

=== debian/changelog ===
haproxy (2.6.8-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Mon, 13 Feb 2023 20:33:33 +0100

haproxy (2.6.8-2) unstable; urgency=medium

  * Add a NEWS entry for incompatibilities introduced in HAProxy 2.6.
    Closes: #1030173.
  * BUG/CRITICAL: http: properly reject empty http header field names
    (CVE-2023-25725)

 -- Vincent Bernat <bernat@debian.org>  Mon, 13 Feb 2023 20:16:13 +0100

haproxy (2.6.8-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Tue, 24 Jan 2023 12:14:31 +0100

haproxy (2.6.8-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Tue, 24 Jan 2023 11:57:14 +0100
