## haproxy 2.6.9

=== debian/changelog ===
haproxy (2.6.9-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Wed, 15 Feb 2023 23:05:23 +0100

haproxy (2.6.9-1) unstable; urgency=medium

  * New upstream version.

 -- Vincent Bernat <bernat@debian.org>  Wed, 15 Feb 2023 21:45:50 +0100
