=== debian/changelog ===
haproxy (2.6.12-1+deb12u3) bookworm-security; urgency=high

  * CVE-2025-11230: fix possible DoS when parsing JSON numbers.

 -- Vincent Bernat <bernat@debian.org>  Fri, 03 Oct 2025 08:03:00 +0200

haproxy (2.6.12-1+deb12u2) bookworm; urgency=medium

  * Non-maintainer upload.
  * CVE-2025-32464: heap buffer overflow in sample_conv_regsub()
    (Closes: #1102673)

 -- Adrian Bunk <bunk@debian.org>  Tue, 29 Apr 2025 16:56:20 +0300

haproxy (2.6.12-1+deb12u1) bookworm-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * REORG: http: move has_forbidden_char() from h2.c to http.h
  * BUG/MAJOR: h3: reject header values containing invalid chars
  * BUG/MAJOR: http: reject any empty content-length header value
    (CVE-2023-40225) (Closes: #1043502)
  * MINOR: ist: add new function ist_find_range() to find a character range
  * MINOR: http: add new function http_path_has_forbidden_char()
  * MINOR: h2: pass accept-invalid-http-request down the request parser
  * REGTESTS: http-rules: add accept-invalid-http-request for normalize-uri
    tests
  * BUG/MINOR: h1: do not accept '#' as part of the URI component
    (CVE-2023-45539)
  * BUG/MINOR: h2: reject more chars from the :path pseudo header
  * BUG/MINOR: h3: reject more chars from the :path pseudo header
  * REGTESTS: http-rules: verify that we block '#' by default for
    normalize-uri
  * DOC: clarify the handling of URL fragments in requests

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 16 Dec 2023 17:41:30 +0100

haproxy (2.6.12-1) unstable; urgency=medium

  * New upstream version.

 -- Vincent Bernat <bernat@debian.org>  Sat, 01 Apr 2023 11:05:57 +0200

haproxy (2.6.11-1) unstable; urgency=medium

  * New upstream version.

 -- Vincent Bernat <bernat@debian.org>  Sat, 18 Mar 2023 14:37:13 +0100

haproxy (2.6.10-1) unstable; urgency=medium

  * New upstream version.

 -- Vincent Bernat <bernat@debian.org>  Sat, 11 Mar 2023 12:59:22 +0100
