## haproxy 2.6.15

=== debian/changelog ===
haproxy (2.6.15-1ubuntu2) mantic; urgency=medium

  * d/control: Upgrade lua build dependency to 5.4
  * d/rules: Change lua include location to /usr/include/lua5.4

 -- Lena Voytek <lena.voytek@canonical.com>  Thu, 17 Aug 2023 09:53:22 -0700

haproxy (2.6.15-1ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/{control,rules}: Remove support for OpenTracing due to it being
      in universe.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 16 Aug 2023 07:40:54 -0400

haproxy (2.6.15-1) unstable; urgency=medium

  * New upstream version. Fix CVE-2023-40225.

 -- Vincent Bernat <bernat@debian.org>  Sat, 12 Aug 2023 13:42:12 +0200

haproxy (2.6.14-1ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable (LP: #2018073). Remaining changes:
    - d/{control,rules}: Remove support for OpenTracing due to it being
      in universe.

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Fri, 16 Jun 2023 11:08:54 -0300

haproxy (2.6.14-1) unstable; urgency=medium

  * New upstream version.

 -- Vincent Bernat <bernat@debian.org>  Fri, 09 Jun 2023 17:23:30 +0200

haproxy (2.6.13-1ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/{control,rules}: Remove support for OpenTracing due to it being
      in universe.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 07 Jun 2023 14:12:21 -0400

haproxy (2.6.13-1) unstable; urgency=medium

  * New upstream version.
  * d/control: drop dependency on lsb-base.

 -- Vincent Bernat <bernat@debian.org>  Sat, 06 May 2023 18:17:49 +0200

haproxy (2.6.9-1ubuntu1) lunar; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/{control,rules}: Remove support for OpenTracing due to it is
      in universe.
  * Dropped changes:
    - debian/patches/CVE-2023-0056.patch: removed, included in new version.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 17 Feb 2023 08:07:41 -0500

haproxy (2.6.7-1ubuntu2) lunar; urgency=medium

  * SECURITY UPDATE: DoS via certain interim responses
    - debian/patches/CVE-2023-0056.patch: refuse interim responses with
      end-stream flag set in src/mux_h2.c.
    - CVE-2023-0056

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 19 Jan 2023 10:33:43 -0500

haproxy (2.6.7-1ubuntu1) lunar; urgency=medium

  * Merge with Debian unstable (LP: #1993402). Remaining changes:
    - d/{control,rules}: Removing support for OpenTracing due to it is
      in universe.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 14 Dec 2022 11:49:52 -0300
