=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: haproxy
 Section: net
 Priority: optional
-Maintainer: Debian HAProxy Maintainers <team+haproxy@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian HAProxy Maintainers <team+haproxy@tracker.debian.org>
 Uploaders: Apollon Oikonomopoulos <apoikos@debian.org>,
            Prach Pongpanich <prach@debian.org>,
            Vincent Bernat <bernat@debian.org>
@@ -9,10 +10,9 @@
 Build-Depends: debhelper-compat (= 12),
                libpcre2-dev,
                libssl-dev,
-               liblua5.3-dev,
+               liblua5.4-dev,
                libsystemd-dev [linux-any],
                python3-sphinx,
-               libopentracing-c-wrapper-dev,
                pkg-config
 Build-Depends-Indep: python3, python3-mako
 Homepage: http://www.haproxy.org/
@@ -21,7 +21,7 @@
 
 Package: haproxy
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, lsb-base (>= 3.0-6)
+Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
 Pre-Depends: dpkg (>= 1.17.14), ${misc:Pre-Depends}
 Suggests: vim-haproxy, haproxy-doc
 Description: fast and reliable load balancing reverse proxy
