=== debian/rules ===
--- 
+++ 
@@ -19,8 +19,7 @@
 	 USE_SLZ=1 \
 	 USE_LUA=1 \
 	 USE_PROMEX=1 \
-	 USE_OT=1 \
-	 LUA_INC=/usr/include/lua5.3 \
+	 LUA_INC=/usr/include/lua5.4 \
 	 EXTRA=admin/halog/halog
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
