## haproxy 2.6.23

=== debian/changelog ===
haproxy (2.6.23-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@debian.org>  Sat, 04 Oct 2025 10:31:49 +0200

haproxy (2.6.23-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sat, 04 Oct 2025 10:25:57 +0200

haproxy (2.6.22-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@debian.org>  Sat, 26 Apr 2025 10:30:27 +0200

haproxy (2.6.22-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sat, 26 Apr 2025 10:24:14 +0200

haproxy (2.6.21-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@debian.org>  Mon, 03 Feb 2025 09:43:15 +0100

haproxy (2.6.21-1) UNRELEASED; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #1079532)
    + Require a sphinx for the build architecture.
    + Pass CC and PKG_CONFIG to all make targets.
    + cross.patch: Honour the passed ${PKG_CONFIG}.

  [ Vincent Bernat ]
  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Mon, 03 Feb 2025 09:19:41 +0100

haproxy (2.6.20-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@debian.org>  Mon, 11 Nov 2024 17:14:42 +0100

haproxy (2.6.20-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Mon, 11 Nov 2024 17:08:04 +0100

haproxy (2.6.19-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@debian.org>  Sat, 21 Sep 2024 15:16:06 +0200

haproxy (2.6.19-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sat, 21 Sep 2024 15:10:00 +0200

haproxy (2.6.18-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@debian.org>  Wed, 19 Jun 2024 20:54:54 +0200

haproxy (2.6.18-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Wed, 19 Jun 2024 08:39:17 +0200

haproxy (2.6.17-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Sat, 06 Apr 2024 15:40:07 +0200

haproxy (2.6.17-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sat, 06 Apr 2024 15:02:41 +0200

haproxy (2.6.16-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Wed, 13 Dec 2023 20:31:20 +0100

haproxy (2.6.16-1) UNRELEASED; urgency=medium

  * New upstream version.

 -- Vincent Bernat <bernat@debian.org>  Wed, 13 Dec 2023 19:59:48 +0100

haproxy (2.6.15-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Sat, 12 Aug 2023 15:23:38 +0200

haproxy (2.6.14-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Tue, 13 Jun 2023 19:47:00 +0200
