=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: haproxy
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian HAProxy Maintainers <team+haproxy@tracker.debian.org>
+Maintainer: Debian HAProxy Maintainers <team+haproxy@tracker.debian.org>
 Uploaders: Apollon Oikonomopoulos <apoikos@debian.org>,
            Prach Pongpanich <prach@debian.org>,
            Vincent Bernat <bernat@debian.org>
@@ -10,9 +9,10 @@
 Build-Depends: debhelper-compat (= 12),
                libpcre2-dev,
                libssl-dev,
-               liblua5.4-dev,
+               liblua5.3-dev,
                libsystemd-dev [linux-any],
-               python3-sphinx,
+               python3-sphinx:native,
+               libopentracing-c-wrapper-dev,
                pkg-config
 Build-Depends-Indep: python3, python3-mako
 Homepage: http://www.haproxy.org/
