=== debian/rules ===
--- 
+++ 
@@ -3,11 +3,14 @@
 include /usr/share/dpkg/pkg-info.mk
 include /usr/share/dpkg/architecture.mk
 include /usr/share/dpkg/buildflags.mk
+include /usr/share/dpkg/buildtools.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 MAKEARGS=V=1 \
+	 CC='$(CC)' \
+	 PKG_CONFIG='$(PKG_CONFIG)' \
 	 DESTDIR=debian/haproxy \
 	 PREFIX=/usr \
 	 IGNOREGIT=true \
@@ -19,7 +22,8 @@
 	 USE_SLZ=1 \
 	 USE_LUA=1 \
 	 USE_PROMEX=1 \
-	 LUA_INC=/usr/include/lua5.4 \
+	 USE_OT=1 \
+	 LUA_INC=/usr/include/lua5.3 \
 	 EXTRA=admin/halog/halog
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
