## haproxy 2.8.5

=== Makefile ===
--- 
+++ 
@@ -28,10 +28,14 @@
 #   USE_TPROXY           : enable transparent proxy. Automatic.
 #   USE_LINUX_TPROXY     : enable full transparent proxy. Automatic.
 #   USE_LINUX_SPLICE     : enable kernel 2.6 splicing. Automatic.
+#   USE_LINUX_CAP        : enable Linux capabilities.
 #   USE_LIBCRYPT         : enable encrypted passwords using -lcrypt
 #   USE_CRYPT_H          : set it if your system requires including crypt.h
 #   USE_GETADDRINFO      : use getaddrinfo() to resolve IPv6 host names.
 #   USE_OPENSSL          : enable use of OpenSSL. Recommended, but see below.
+#   USE_OPENSSL_WOLFSSL  : enable use of wolfSSL with the OpenSSL API
+#   USE_QUIC             : enable use of QUIC with the quictls API (quictls, libressl, boringssl)
+#   USE_QUIC_OPENSSL_COMPAT : enable use of QUIC with the standard openssl API (limited features)
 #   USE_ENGINE           : enable use of OpenSSL Engine.
 #   USE_LUA              : enable Lua support.
 #   USE_ACCEPT4          : enable use of accept4() on linux. Automatic.
@@ -44,6 +48,7 @@
 #   USE_TFO              : enable TCP fast open. Supported on Linux >= 3.7.
 #   USE_NS               : enable network namespace support. Supported on Linux >= 2.6.24.
 #   USE_DL               : enable it if your system requires -ldl. Automatic on Linux.
+#   USE_MATH             : enable use of -lm. Automatic.
 #   USE_RT               : enable it if your system requires -lrt. Automatic on Linux.
 #   USE_BACKTRACE        : enable backtrace(). Automatic on Linux.
 #   USE_PROMEX           : enable the Prometheus exporter
@@ -56,10 +61,15 @@
 #   USE_OT               : enable the OpenTracing filter
 #   USE_MEMORY_PROFILING : enable the memory profiler. Linux-glibc only.
 #   USE_LIBATOMIC        : force to link with/without libatomic. Automatic.
+#   USE_PTHREAD_EMULATION: replace pthread's rwlocks with ours
+#   USE_SHM_OPEN         : use shm_open() for the startup-logs
 #
 # Options can be forced by specifying "USE_xxx=1" or can be disabled by using
 # "USE_xxx=" (empty string). The list of enabled and disabled options for a
-# given TARGET is enumerated at the end of "make help".
+# given TARGET is enumerated at the end of "make help". Most of these options
+# support specific xxx_CFLAGS and/or xxx_LDFLAGS that can be individually
+# forced. The currently active ones for a given set of options are listed in
+# "make opts USE_xxx=1 ...".
 #
 # Variables useful for packagers :
 #   CC is set to "cc" by default and is used for compilation only.
@@ -121,55 +131,9 @@
 #   VTEST_PROGRAM  : location of the vtest program to run reg-tests.
 #   DEBUG_USE_ABORT: use abort() for program termination, see include/haproxy/bug.h for details
 
-# verbosity: pass V=1 for verbose shell invocation
-V = 0
-Q = @
-ifeq ($V,1)
-Q=
-endif
-
-# WARNING: Do not change cc-opt, cc-opt-alt or cc-warning without checking if
-#          clang bug #49364 is fixed. stderr is redirected to /dev/null on
-#          purpose, to work around a clang 11 bug that crashes if stderr is
-#          redirected to stdin.
-#
-# Function used to detect support of a given option by the compiler.
-# Usage: CFLAGS += $(call cc-opt,option). Eg: $(call cc-opt,-fwrapv)
-# Note: ensure the referencing variable is assigned using ":=" and not "=" to
-#       call it only once.
-cc-opt = $(shell set -e; if $(CC) -Werror $(1) -E -xc - -o /dev/null </dev/null >&0 2>/dev/null; then echo "$(1)"; fi;)
-
-# same but tries with $2 if $1 is not supported
-cc-opt-alt = $(if $(shell set -e; if $(CC) -Werror $(1) -E -xc - -o /dev/null </dev/null >&0 2>/dev/null; then echo 1;fi),$(1),$(call cc-opt,$(2)))
-
-# validate a list of options one at a time
-cc-all-opts  = $(foreach a,$(1),$(call cc-opt,$(a)))
-
-# try to pass plenty of options at once, take them on success or try them
-# one at a time on failure and keep successful ones. This is handy to quickly
-# validate most common options.
-cc-all-fast = $(if $(call cc-opt,$(1)),$(1),$(call cc-all-opts,$(1)))
-
-# Below we verify that the compiler supports any -Wno-something option to
-# disable any warning, or if a special option is needed to achieve that. This
-# will allow to get rid of testing when the compiler doesn't care. The result
-# is made of two variables:
-#  - cc-anywno that's non-empty if the compiler supports disabling anything
-#  - cc-wnouwo that may contain an option needed to enable this behavior
-# Gcc 4.x and above do not need any option but will still complain about unknown
-# options if another warning or error happens, and as such they're not testable.
-# Clang needs a special option -Wno-unknown-warning-option. Compilers not
-# supporting this option will check all warnings individually.
-cc-anywno := $(call cc-opt,-Wno-haproxy-warning)
-cc-wnouwo := $(if $(cc-anywno),,$(call cc-opt,-Wno-unknown-warning-option))
-cc-anywno := $(if $(cc-anywno)$(cc-wnouwo),1)
-
-# Disable a warning when supported by the compiler. Don't put spaces around the
-# warning! And don't use cc-opt which doesn't always report an error until
-# another one is also returned. If "cc-anywno" is set, the compiler supports
-# -Wno- followed by anything so we don't even need to start the compiler.
-# Usage: CFLAGS += $(call cc-nowarn,warning). Eg: $(call cc-opt,format-truncation)
-cc-nowarn = $(if $(cc-anywno),-Wno-$(1),$(shell set -e; if $(CC) -Werror -W$(1) -E -xc - -o /dev/null </dev/null >&0 2>/dev/null; then echo "-Wno-$(1)"; fi;))
+include include/make/verbose.mk
+include include/make/compiler.mk
+include include/make/options.mk
 
 #### Installation options.
 DESTDIR =
@@ -221,3 +185,41 @@
 # We rely on signed integer wraparound on overflow, however clang think it
 # can do whatever it wants since it's an undefined behavior, so use -fwrapv
 # to be sure we get the intended behavior.
+WARN_CFLAGS := -Wtype-limits -Wshift-negative-value -Wshift-overflow=2 \
+               -Wduplicated-cond -Wnull-dereference
+SPEC_CFLAGS := -Wall -Wextra -Wundef -Wdeclaration-after-statement -Wfatal-errors
+SPEC_CFLAGS += $(call cc-all-fast,$(WARN_CFLAGS))
+
+SPEC_CFLAGS += $(call cc-opt-alt,-fwrapv,-fno-strict-overflow)
+SPEC_CFLAGS += $(cc-wnouwo)
+SPEC_CFLAGS += $(call cc-nowarn,address-of-packed-member)
+SPEC_CFLAGS += $(call cc-nowarn,unused-label)
+SPEC_CFLAGS += $(call cc-nowarn,sign-compare)
+SPEC_CFLAGS += $(call cc-nowarn,unused-parameter)
+SPEC_CFLAGS += $(call cc-nowarn,clobbered)
+SPEC_CFLAGS += $(call cc-nowarn,missing-field-initializers)
+SPEC_CFLAGS += $(call cc-nowarn,cast-function-type)
+SPEC_CFLAGS += $(call cc-nowarn,string-plus-int)
+SPEC_CFLAGS += $(call cc-nowarn,atomic-alignment)
+
+ifneq ($(ERR),)
+  SPEC_CFLAGS += -Werror
+endif
+
+#### Memory usage tuning
+# If small memory footprint is required, you can reduce the buffer size. There
+# are 2 buffers per concurrent session, so 16 kB buffers will eat 32 MB memory
+# with 1000 concurrent sessions. Putting it slightly lower than a page size
+# will prevent the additional parameters to go beyond a page. 8030 bytes is
+# exactly 5.5 TCP segments of 1460 bytes and is generally good. Useful tuning
+# macros include :
+#    SYSTEM_MAXCONN, BUFSIZE, MAXREWRITE, REQURI_LEN, CAPTURE_LEN.
+# Example: SMALL_OPTS = -DBUFSIZE=8030 -DMAXREWRITE=1030 -DSYSTEM_MAXCONN=1024
+SMALL_OPTS =
+
+#### Debug settings
+# You can enable debugging on specific code parts by setting DEBUG=-DDEBUG_xxx.
+# Use quotes and spaces if multiple options are needed (the DEBUG variables is
+# passed as-is to CFLAGS). Please check sources for their exact meaning or do
+# not use them at all. Some even more obscure ones might also be available
+# without appearing here. Currently defined DEBUG macros include DEBUG_FULL,
