=== debian/changelog ===
haproxy (2.8.5-1ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:52:53 +1100

haproxy (2.8.5-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 18:10:10 +0000

haproxy (2.8.5-1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2040383). Remaining changes:
    - d/{control,rules}: Remove support for OpenTracing due to it being
      in universe.
    - d/control: Upgrade lua build dependency to 5.4
    - d/rules: Change lua include location to /usr/include/lua5.4
  * New changes:
    - d/{control,rules}: do not link against jemalloc (universe).

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Fri, 05 Jan 2024 11:05:29 -0300

haproxy (2.8.5-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sat, 09 Dec 2023 16:14:43 +0100

haproxy (2.8.4-2) experimental; urgency=medium

  * d/rules: really link against jemalloc.
  * d/rules: enable USE_QUIC (with USE_QUIC_OPENSSL_COMPAT).

 -- Vincent Bernat <bernat@debian.org>  Wed, 22 Nov 2023 22:52:31 +0100

haproxy (2.8.4-1) experimental; urgency=medium

  * New upstream release.
  * d/rules: link against jemalloc.

 -- Vincent Bernat <bernat@debian.org>  Fri, 17 Nov 2023 19:53:48 +0100

haproxy (2.8.3-1) experimental; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Fri, 08 Sep 2023 20:25:39 +0200

haproxy (2.8.2-1) experimental; urgency=medium

  * New upstream release. Fix CVE-2023-40225.

 -- Vincent Bernat <bernat@debian.org>  Sat, 12 Aug 2023 13:33:36 +0200

haproxy (2.8.1-1) experimental; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Mon, 03 Jul 2023 21:13:18 +0200

haproxy (2.8.0-1) experimental; urgency=medium

  * New upstream release.
  * d/NEWS: remove
  * d/lintian-overrides: override warning about obsolete lsb-base dependency

 -- Vincent Bernat <bernat@debian.org>  Sat, 03 Jun 2023 00:11:07 +0200

haproxy (2.7.8-1) experimental; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sat, 06 May 2023 15:08:44 +0200

haproxy (2.7.7-1) experimental; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Thu, 27 Apr 2023 21:22:39 +0200

haproxy (2.7.6-1) experimental; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Fri, 31 Mar 2023 08:46:51 +0200

haproxy (2.7.5-1) experimental; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sat, 18 Mar 2023 14:00:02 +0100

haproxy (2.7.4-1) experimental; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Fri, 10 Mar 2023 21:18:59 +0100

haproxy (2.7.3-1) experimental; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Wed, 15 Feb 2023 08:18:45 +0100

haproxy (2.7.2-2) experimental; urgency=medium

  * BUG/CRITICAL: http: properly reject empty http header field names
    (CVE-2023-25725).

 -- Vincent Bernat <bernat@debian.org>  Mon, 13 Feb 2023 19:37:55 +0100

haproxy (2.7.2-1) experimental; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Fri, 20 Jan 2023 22:15:56 +0100

haproxy (2.7.1-1) experimental; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Mon, 19 Dec 2022 21:11:23 +0100

haproxy (2.7.0-1) experimental; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Thu, 01 Dec 2022 17:25:51 +0100
