=== debian/changelog ===
haproxy (2.8.15-0ubuntu0.24.04.1) noble; urgency=medium

  * New upstream version (LP: #2112526)
    - This new release introduce several fixes, including bug fixes for QUIC,
      for the SSL stack, and LUA.
    - New configuration options were introduced, and a new default value for
      the hard limit on the number of file descriptors was introduced. These
      are described in the Debian NEWS file.
    - For further information, see the upstream release notes:
      + https://www.mail-archive.com/haproxy@formilux.org/msg44606.html
      + https://www.mail-archive.com/haproxy@formilux.org/msg44632.html
      + https://www.mail-archive.com/haproxy@formilux.org/msg44787.html
      + https://www.mail-archive.com/haproxy@formilux.org/msg44790.html
      + https://www.mail-archive.com/haproxy@formilux.org/msg45060.html
      + https://www.mail-archive.com/haproxy@formilux.org/msg45317.html
      + https://www.mail-archive.com/haproxy@formilux.org/msg45413.html
      + https://www.mail-archive.com/haproxy@formilux.org/msg45486.html
      + https://www.mail-archive.com/haproxy@formilux.org/msg45570.html
      + https://www.mail-archive.com/haproxy@formilux.org/msg45806.html
  * d/NEWS: add NEWS file.
  * Dropped paches applied upstream:
    - d/p/CVE-2024-53008-1.patch
    - d/p/CVE-2024-53008-2.patch
    - d/p/CVE-2025-32464.patch

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Wed, 08 Oct 2025 10:50:30 -0300

haproxy (2.8.5-1ubuntu3.4) noble-security; urgency=medium

  * SECURITY UPDATE: DoS via MJSON
    - debian/patches/CVE-2025-11230.patch: fix possible DoS when parsing
      numbers in src/mjson.c.
    - CVE-2025-11230

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 01 Oct 2025 13:01:09 -0400

haproxy (2.8.5-1ubuntu3.3) noble-security; urgency=medium

  * SECURITY UPDATE: heap overflow in sample_conv_regsub
    - debian/patches/CVE-2025-32464.patch: fix risk of overflow when
      replacing multiple regex back-refs in src/sample.c.
    - CVE-2025-32464

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 09 Apr 2025 08:50:46 -0400

haproxy (2.8.5-1ubuntu3.2) noble-security; urgency=medium

  * SECURITY UPDATE: Request smuggling
    - debian/patches/CVE-2024-53008-1.patch: Check pseudo-header method
      contains only valid characters according to RFC 9110
    - debian/patches/CVE-2024-53008-2.patch: Check pseudo-header scheme
      contains only valid characters according to RFC 9110
    - CVE-2024-53008

 -- Bruce Cable <bruce.cable@canonical.com>  Mon, 02 Dec 2024 15:01:44 +1100

haproxy (2.8.5-1ubuntu3.1) noble; urgency=medium

  * SRU: LP: #2083480: No-change rebuild to disable frame pointers on
    ppc64el and s390x.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 02 Oct 2024 14:40:51 +0200
