=== debian/rules ===
--- 
+++ 
@@ -3,14 +3,11 @@
 include /usr/share/dpkg/pkg-info.mk
 include /usr/share/dpkg/architecture.mk
 include /usr/share/dpkg/buildflags.mk
-include /usr/share/dpkg/buildtools.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 MAKEARGS=V=1 \
-	 CC='$(CC)' \
-	 PKG_CONFIG='$(PKG_CONFIG)' \
 	 DESTDIR=debian/haproxy \
 	 PREFIX=/usr \
 	 IGNOREGIT=true \
@@ -19,11 +16,12 @@
 	 USE_PCRE2=1 \
 	 USE_PCRE2_JIT=1 \
 	 USE_OPENSSL=1 \
+	 USE_QUIC=1 \
+     USE_QUIC_OPENSSL_COMPAT=1 \
 	 USE_SLZ=1 \
 	 USE_LUA=1 \
 	 USE_PROMEX=1 \
-	 USE_OT=1 \
-	 LUA_INC=/usr/include/lua5.3 \
+	 LUA_INC=/usr/include/lua5.4 \
 	 EXTRA=admin/halog/halog
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
